Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations
DELETECeph Primary Storage OperationsSince 0.6SynchronousAuth Required

RemoveMonFromCephPrimaryStorage

RemoveMonFromCephPrimaryStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the Ceph primary storage.

Body Fields

  • monHostnamesListRequired

    The new hostname of the Ceph mon (monitor daemon).

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/primary-storage/ceph/31db2011f3944c85ae24a7ca607302e5/mons?monHostnames=10.0.1.2

/zstack/v1/primary-storage/ceph/31db2011f3944c85ae24a7ca607302e5/mons?monHostnames=10.0.1.2

Operation ID

RemoveMonFromCephPrimaryStorage

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/primary-storage/ceph/31db2011f3944c85ae24a7ca607302e5/mons?monHostnames=10.0.1.2' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"monHostnames":["<monHostnames>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history